summaryrefslogtreecommitdiffstats
path: root/graphics/hugin
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:53:51 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:51 +0200
commit810d64098b6df4174acb8564c7cb13fad0ac572e (patch)
treef4aecb1a3a084fdcee29c5fde215b8d8f3ee3901 /graphics/hugin
parentc7f1fe44c4f01984d77979f45a5213afa7224450 (diff)
downloadslackbuilds-810d64098b6df4174acb8564c7cb13fad0ac572e.tar.gz
slackbuilds-810d64098b6df4174acb8564c7cb13fad0ac572e.tar.xz
graphics/hugin: Added to 12.1 repository
Diffstat (limited to 'graphics/hugin')
-rw-r--r--graphics/hugin/README16
-rw-r--r--graphics/hugin/doinst.sh3
-rw-r--r--graphics/hugin/hugin.SlackBuild61
-rw-r--r--graphics/hugin/hugin.info8
-rw-r--r--graphics/hugin/slack-desc11
5 files changed, 99 insertions, 0 deletions
diff --git a/graphics/hugin/README b/graphics/hugin/README
new file mode 100644
index 0000000000..444b55b7fe
--- /dev/null
+++ b/graphics/hugin/README
@@ -0,0 +1,16 @@
+An easy to use cross-platform panoramic imaging toolchain based on
+Panorama Tools. With hugin you can assemble a mosaic of photographs
+into a complete immersive panorama, stitch any series of overlapping
+pictures and much more.
+
+Build Requirements:
+wxWidgets (wxPython, wxGTK, wxX11). Only tested with wxPython.
+libpano13
+boost
+openexr
+exiv2
+
+Run-time requirements:
+exiftool
+enblend
+autopano-sift-C
diff --git a/graphics/hugin/doinst.sh b/graphics/hugin/doinst.sh
new file mode 100644
index 0000000000..3857649f50
--- /dev/null
+++ b/graphics/hugin/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
diff --git a/graphics/hugin/hugin.SlackBuild b/graphics/hugin/hugin.SlackBuild
new file mode 100644
index 0000000000..717946d493
--- /dev/null
+++ b/graphics/hugin/hugin.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for Hugin
+# Written by Erik Hanson erik@slackbuilds.org
+
+set -eu
+
+PRGNAM=hugin
+VERSION=0.7.0_rc2
+SRCVER=0.7.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_EXE_LINKER_FLAGS="-lpthread" \
+ -DCMAKE_INSTALL_PREFIX=/usr .
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | egrep "ELF.*executable" | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | egrep "ELF.*shared object" | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mv $PKG/usr/share/man $PKG/usr/man
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog INSTALL_cmake LICENCE LICENCE_JHEAD \
+ LICENCE_VIGRA README README_JP README_WINDOWS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/hugin/hugin.info b/graphics/hugin/hugin.info
new file mode 100644
index 0000000000..84fe6b0a61
--- /dev/null
+++ b/graphics/hugin/hugin.info
@@ -0,0 +1,8 @@
+PRGNAM="hugin"
+VERSION="0.7.0_rc2"
+HOMEPAGE="http://hugin.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/hugin/hugin-0.7.0_rc2.tar.gz"
+MD5SUM="41d7c79aa23bdd017e23e93f265b9e49"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/graphics/hugin/slack-desc b/graphics/hugin/slack-desc
new file mode 100644
index 0000000000..e5dcf5474a
--- /dev/null
+++ b/graphics/hugin/slack-desc
@@ -0,0 +1,11 @@
+hugin: Hugin (Panorama photo stitcher)
+hugin:
+hugin: An easy to use cross-platform panoramic imaging toolchain based on
+hugin: Panorama Tools. With hugin you can assemble a mosaic of photographs
+hugin: into a complete immersive panorama, stitch any series of overlapping
+hugin: pictures and much more.
+hugin:
+hugin:
+hugin:
+hugin: http://hugin.sourceforge.net/
+hugin: